Bug 21372 - Cannot animate "d" attribute for <svg:path>
Summary: Cannot animate "d" attribute for <svg:path>
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: SVG (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh OS X 10.5
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks: 41761
  Show dependency treegraph
 
Reported: 2008-10-04 14:41 PDT by Antoine Quint
Modified: 2011-05-22 14:14 PDT (History)
3 users (show)

See Also:


Attachments
Testcase (295 bytes, image/svg+xml)
2008-10-04 14:41 PDT, Antoine Quint
no flags Details
An animated 'd' attribute on a path. (1.38 KB, image/svg+xml)
2010-02-25 09:21 PST, Gavin Kistner
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Antoine Quint 2008-10-04 14:41:21 PDT
I've tried animating the d attribute of a path but it does not work.
Comment 1 Antoine Quint 2008-10-04 14:41:44 PDT
Created attachment 24094 [details]
Testcase
Comment 2 Gavin Kistner 2010-02-25 09:18:29 PST
The subject of this bug appears to be incorrect (or no longer correct). It is possible to animate the d element for a path. (I'll attach a test case, also available at http://phrogz.net/SVG/multi-path-anim.svg.) I think the bug with the original attachment is that begin='click' does not work.
Comment 3 Gavin Kistner 2010-02-25 09:21:37 PST
Created attachment 49496 [details]
An animated 'd' attribute on a path.

The attachment has an animated path (black) and two animated lines (red and blue); the animation for one line is nested, the other uses xlink to reference the element. All three use a pair of animate elements. All three should look identical (other than color).
Comment 4 Gavin Kistner 2010-02-25 09:23:13 PST
Additional test case verified to work as expected on Safari 4.0.4 (531.21.10) on Windows, and also Chrome for Windows 4.0.249.89 beta (38071).
Comment 5 Dirk Schulze 2011-05-22 14:14:14 PDT
Thanks for verifying it Gavin.